package com.diegocayo.organizame.domain.repository

import com.diegocayo.organizame.domain.model.User

interface UserRepository {
    suspend fun saveUser(user: User)
    suspend fun getUser(): User?
    suspend fun updateLoginStatus(isLoggedIn: Boolean)
    suspend fun clearUser()
} 